// Place all the styles related to the DevMailBox controller here.
// They will automatically be included in application.css.
// You can use Sass (SCSS) here: http://sass-lang.com/
$basic_color: #2a7fff
$dim-color: #ededed


.column-props
  height: calc(100vh - 52.48px)
  overflow: auto

#mailboxes
  color: white !important
  background: linear-gradient(180deg, #2a7fff96, $basic_color 95%)
  a
    color: white
    &:hover
      text-decoration: unset

.default-wraper
  background: $dim-color
  width: 100%
  height: calc(100vh - 52.48px)
  overflow: auto

#content
  margin-top: 1%
  background: white
  width: 98%
  height: 98%
  padding: 5px

.content-opt
  text-align: left
  border-bottom: 1px solid #CCC

.mail-content
  border: 1px dashed #CCC
  height: 96%
  width: 100%
  max-width: unset

#content-wrapper
  text-align: center

.inbox-link
  width: 100%
  padding-top: 20px
  height: 60px
  border-bottom: 1px solid $dim-color
  &:hover
    color: $basic_color
    background-color: white
    .notify
      background-color: $basic_color
  &.active
    font-weight: bolder
    color: $basic_color
    background-color: $dim-color
    .notify
      background-color: $basic_color

.inbox-menu
  width: 100%
  padding-top: 20px
  height: 60px
  border-radius: 9px
  &:hover
    color: $basic_color !important
    background-color: white

#messages-wrapper
  padding: 30px 0px 0px 30px

.notify
  font-size: 16px
  background-color: black
  color: white
  font-weight: bold

.no-content
  font-family: "Comfortaa", cursive
  color: darkolivegreen